Skip to content

Backups

All operations require authentication.

13 operationsv1/vps/{serviceName}
Agent setup

List available restore points for the automated backupProduction

GET
/1.0/vps/{serviceName}/automatedBackup/restorePoints

Returns the restore points available for the automated backup of the VPS.

Path parameters

serviceName
required
string

Service name

Query parameters

state
required
RestoreStateEnum

The state of the restore point

Valuesavailablerestoredrestoring

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/restorePoints \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01T12:00:00Z"]

List backups currently attached to this VPSProduction

GET
/1.0/vps/{serviceName}/automatedBackup/attachedBackup

Returns the backups currently attached to the VPS, with their restore point and access settings.

Path parameters

serviceName
required
string

Service name

Response

200Attached[]successful operation
access
read-only
Infos

A structure describing a backup's access informations

restorePoint
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/attachedBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "access": { "additionalDisk": "string", "nfs": "string", "smb": "string" }, "restorePoint": "2024-01-01T12:00:00Z" }]

Retrieve information about the current VPS snapshotProduction

GET
/1.0/vps/{serviceName}/snapshot

Returns the ID, creation date, description and region of the snapshot of the VPS.

Path parameters

serviceName
required
string

Service name

Response

200Snapshotsuccessful operation
creationDate
read-only
stringdate-time
—
description
string
—
id
read-only
string
—
region
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "id": "string", "region": "string"}

Generate a download URL for the VPS snapshotProduction

GET
/1.0/vps/{serviceName}/snapshot/download

Returns the URL and the size of the snapshot to download.

Path parameters

serviceName
required
string

Service name

Response

200DownloadSnapshotURLsuccessful operation
size
read-only
integer

Snapshot size (bytes)

url
read-only
string

URL to download the snapshot

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot/download \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "size": 0, "url": "string"}

Retrieve automated backup settings for this VPSProduction

GET
/1.0/vps/{serviceName}/automatedBackup

Returns whether the automated backup is enabled, its rotation and the time of the daily backup.

Path parameters

serviceName
required
string

Service name

Response

200AutomatedBackupsuccessful operation
rotation
read-only
integer

Number of rotation of your daily backup

schedule
read-only
time

Scheduled time of your daily backup

serviceResourceName
read-only
string

Resource name of the service of your automated backup

state
read-only
BackupStateEnum

Backup state

Valuesdisabledenabled

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "rotation": 0, "schedule": "15:04:05", "serviceResourceName": "string", "state": "disabled"}

Create a snapshot of this VPS (requires the snapshot option and no existing snapshot); returns an asynchronous taskProduction

POST
/1.0/vps/{serviceName}/createSnapshot

Creates a snapshot of the VPS and returns the task that performs it. The snapshot option must be active and no snapshot can exist.

Path parameters

serviceName
required
string

Service name

Request body (required)

description
string

A textual description for your snapshot

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/createSnapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Abort an ongoing snapshot or automated backup operation for this VPSProduction

POST
/1.0/vps/{serviceName}/abortSnapshot

Stops the snapshot or automated backup operation in progress on the VPS.

Path parameters

serviceName
required
string

Service name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/abortSnapshot \
  -H "authorization: Bearer $OVH_TOKEN"

Revert this VPS to the specified snapshot and return an asynchronous taskProduction

POST
/1.0/vps/{serviceName}/snapshot/revert

Reverts the VPS to its snapshot and returns the task that performs it.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot/revert \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Change the scheduled time of the daily automated backup and return an asynchronous taskProduction

POST
/1.0/vps/{serviceName}/automatedBackup/reschedule

Changes the time of the daily automated backup and returns the task that performs it.

Path parameters

serviceName
required
string

Service name

Request body (required)

schedule
required
time

Time (e.g., 15:04:05)

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/reschedule \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Restore this VPS from a given restore point and return an asynchronous taskProduction

POST
/1.0/vps/{serviceName}/automatedBackup/restore

Restores the VPS from the given restore point and returns the task that performs it.

Path parameters

serviceName
required
string

Service name

Request body (required)

changePassword
boolean

Only with restore full on VPS Cloud 2014

restorePoint
required
stringdate-time

Restore Point fetched in /automatedBackup/restorePoints

type
required
RestoreTypeEnum

Available restore types

Valuesfilefull

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/restore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Unmount a restored backup from this VPS and return an asynchronous taskProduction

POST
/1.0/vps/{serviceName}/automatedBackup/detachBackup

Unmounts the restored backup from the VPS and returns the task that performs it.

Path parameters

serviceName
required
string

Service name

Request body (required)

restorePoint
required
stringdate-time

restorePoint fetched in /vps/{serviceName}/automatedBackup/attachedBackup

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/detachBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Delete the VPS snapshot and return an asynchronous taskProduction

DELETE
/1.0/vps/{serviceName}/snapshot

Deletes the snapshot of the VPS and returns the task that performs it.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Update the VPS snapshot propertiesProduction

PUT
/1.0/vps/{serviceName}/snapshot

Updates the description of the snapshot of the VPS.

Path parameters

serviceName
required
string

Service name

Request body (required)

creationDate
read-only
stringdate-time
—
description
string
—
id
read-only
string
—
region
read-only
string
—

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"